unit FormProgress;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, Gauges;

type
  TfmProgress = class(TForm)
    gCurrent: TGauge;
    gOverall: TGauge;
    BitBtn1: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Init(TestName, EngineName: String; OverallProgress: Integer);
  end;

var
  fmProgress: TfmProgress;
  CloseFlag: Boolean;

implementation

{$R *.dfm}

procedure TfmProgress.Init(TestName, EngineName: String; OverallProgress: Integer);
begin
 Self.Caption := 'Testing '+EngineName+' ...';
 Label1.Caption := TestName;
 gCurrent.Progress := 0;
 gOverall.Progress := OverallProgress;
 Application.ProcessMessages;
 CloseFlag := False;
 Show;
end;

procedure TfmProgress.BitBtn1Click(Sender: TObject);
begin
 CloseFlag := True;
 Application.ProcessMessages;
end;

end.
